<template>
  <v-text-field
    v-bind="$attrs"
    v-mask="mask"
    @blur="onBlur"
    @change="onChange"
    v-model="innerValue"
  />
</template>

<script>

export default {
  name: 'masked-field',
  // eslint-disable-next-line @typescript-eslint/camelcase
  $_veeValidate: {
    value () {
      return this.innerValue
    },
    name () {
      return this.name
    }
  },
  props: {
    value: String,
    mask: [String, Array]
  },
  data () {
    return {
      innerValue: null
    }
  },
  methods: {
    onBlur () {
      this.$emit('blur')
    },
    onChange (event) {
      this.innerValue = event.target.value
      console.log('Hey')
      this.$emit('input', event.target.value.replace(/\s+/g, ''))
    }
  },
  created () {
    if (this.value) {
      this.innerValue = this.value
    }
  }
}
</script>
